#!/bin/bash -eE
# Copyright (c) 2019 Mellanox Technologies. All rights reserved.

export NVME_SF_ECPF_DEV=0000:03:00.0

chk=$(mlxconfig -d "$NVME_SF_ECPF_DEV" q NVME_EMULATION_ENABLE |awk '/NVME_EMULATION_ENABLE/ {print $2}')
if [ "$chk" != "True(1)" ] ; then
    logger -p local0.notice -t nvme_snap "$prog: NVMe emulation is disbled for $NVME_SF_ECPF_DEV"
    echo "NVMe emulation is disbled for $NVME_SF_ECPF_DEV" >&2
    exit 69 # EX_UNAVAILABLE
fi

exit 0
